Naar hoofdinhoud
operations

Add a new operation to the database.

POST
/operation
X-API-Keystringheaderverplicht

Body

application/json

Operation object.

categoriesobject[]

The operation categories this operation belongs to.

codestring

The unique code of this operation.

colorstring

The hex color of this operation, e.g. '#d35400'.

created_atstring

The date and time this operation was created.

deleted_atstring

The date and time this operation was archived, or null when it is active.

external_idsobject

The IDs of this operation in connected third party applications, keyed by connection.

extra_dataobject

The values of the custom fields, keyed by custom field code.

idintegerverplicht

The ID of this operation.

is_internal_operationinteger

Whether this is an internal business operation instead of a regular operation. Returned as 1 (yes) or 0 (no).

namestring

The name of this operation.

opcodestring

The operation code of this operation.

price_typestring

The price type of this operation, either 'time' or 'article'.

questionsobject[]

The questions asked when this operation is registered.

sort_orderinteger

The sort order of this operation.

unit_idinteger

The ID of the unit of this operation.

updated_atstring

The date and time this operation was last updated.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.